umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Macros | Functions
diagram_utils.cpp File Reference
`#include "diagram_utils.h"`
`#include "associationwidget.h"`
`#include "association.h"`
`#include "debug_utils.h"`
`#include "import_utils.h"`
`#include "messagewidget.h"`
`#include "object_factory.h"`
`#include "objectwidget.h"`
`#include "uml.h"`
`#include "umldoc.h"`
`#include "umlview.h"`
`#include "umlobject.h"`
`#include "umlscene.h"`
`#include "widget_factory.h"`
`#include <QListWidget>`
`#include <QMap>`
`#include <QMimeData>`
`#include <QRegExp>`

## Namespaces
namespace | Diagram_Utils

## Macros
#define | DBG_SRC QStringLiteral("Diagram_Utils")

## Functions
SequenceLineFormat | Diagram_Utils::detectSequenceLineFormat (const QStringList &lines)
bool | Diagram_Utils::parseSequenceLine (const QString &s, QString &sequence, QString &package, QString &method, QString &error)
bool | Diagram_Utils::importSequences (const QStringList &lines, UMLScene *scene, const QString &sourceHint)
bool | Diagram_Utils::importClassGraph (const QStringList &lines, UMLScene *scene, const QString &sourceHint)
bool | Diagram_Utils::importGraph (const QStringList &lines, UMLScene *scene, const QString &sourceHint)
bool | Diagram_Utils::importGraph (const QMimeData *mimeData, UMLScene *scene)
bool | Diagram_Utils::importGraph (const QString &fileName, UMLScene *scene)
bool | Diagram_Utils::isUniqueDiagramName (Uml::DiagramType::Enum type, QString &name)

## Macro Definition Documentation

## ◆ DBG_SRC

#define DBG_SRC QStringLiteral("Diagram_Utils")